Package org.pushingpixels.substance.internal.utils

# Class PairwiseButtonBackgroundDelegate

java.lang.Object
org.pushingpixels.substance.internal.utils.PairwiseButtonBackgroundDelegate

public class PairwiseButtonBackgroundDelegate extends Object
Delegate class for painting backgrounds of buttons in Substance look and feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`PairwiseButtonBackgroundDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`updatePairwiseBackground(Graphics g, AbstractButton button, int width, int height, SubstanceConstants.Side side, boolean toIgnoreOpenSides)`
Paints background image for the specified button in button pair (such as scrollbar arrows, for example).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PairwiseButtonBackgroundDelegate

public PairwiseButtonBackgroundDelegate()

## Method Details

### updatePairwiseBackground

public static void updatePairwiseBackground(Graphics g, AbstractButton button, int width, int height, SubstanceConstants.Side side, boolean toIgnoreOpenSides)
Paints background image for the specified button in button pair (such as scrollbar arrows, for example).

Parameters:
  `g` - Graphics context.
  `button` - Button.
  `width` - Button width.
  `height` - Button height.
  `side` - Button orientation.
  `toIgnoreOpenSides` - If `true`, the open side setting (controlled by the `SubstanceLookAndFeel.BUTTON_OPEN_SIDE_PROPERTY` is ignored.